| Home | Libraries | People | FAQ | More

###### http::basic_fields::operator[] (2 of 2 overloads)

Returns the value for a case-insensitive matching header, or `""` if it does not exist.

###### Synopsis

    string_view const
    operator[](
        string_view name) const;

###### Description

If more than one field with the specified name exists, the first field defined by insertion order is returned.

###### Parameters

Name | Description
--- | ---
`name` | The name of the field. It is interpreted as a case-insensitive string.